Failed to install packages (After upgrade Pfsense 2.2.4)



  • Beginning package installation for Asterisk .
    Downloading package configuration file… done.
    Saving updated package information... done.
    Downloading Asterisk and its dependencies...
    Checking for package installation...
    Downloading https://files.pfsense.org/packages/10/All/asterisk-1.8.32.1-i386.pbi ...  could not download from there or https://files.pfsense.org/packages/10/All//asterisk-1.8.32.1-i386.pbi.
    of asterisk-1.8.32.1-i386 failed!

    Installation aborted.Removing package...
    Starting package deletion for asterisk-1.8.32.1-i386...done.
    Removing Asterisk components...
    Package XML... done.
    Configuration... done.
    done.
    Failed to install package.

    Installation halted.


    Beginning package installation for ntopng .
    Downloading package configuration file... done.
    Saving updated package information... done.
    Downloading ntopng and its dependencies...
    Checking for package installation...
    Downloading https://files.pfsense.org/packages/10/All/ntopng-1.2.1-i386.pbi ...  could not download from there or https://files.pfsense.org/packages/10/All//ntopng-1.2.1-i386.pbi.
    of ntopng-1.2.1-i386 failed!

    Installation aborted.Removing package...
    Starting package deletion for ntopng-1.2.1-i386...done.
    Removing ntopng components...
    Package XML... done.
    Configuration... done.
    done.
    Failed to install package.

    Installation halted. 
    .....
    and etc...


  • Banned

    When it doesn't download, it cannot install…



  • pkg add  https://files.pfsense.org/packages/10/All/freeradius-2.2.6_3-i386.pbi

    Fetching freeradius-2.2.3_1-i386.pbi: 100%  27 MiB 454.8kB/s    01:03
    pkg: /tmp/freeradius-2.2.3_1-i386.pbi.XXXXX is not a valid package: no manifest found

    Eroor … (((

    How install packages command line  (*.pbi)


  • Banned

    1/ You do NOT use pkg for PBI junk.
    2/ Fix your real problem (broken connectivity) instead.



  • I can install the packages that have not previously installed. Packages that have been set up to update pfsense (upgrade 2.2.4) is not updated or not installed. This is not a problem in the internet connection.



  • i've the same issue,
    connectivity is ok
    under packages i see –> Unable to retrieve package info from https://packages.pfsense.org. Cached data will be used.

    ping packages.pfsense.org

    PING packages.pfsense.org (208.123.73.88): 56 data bytes

    so dns is working
    if i try to install dansguardian i got "installation halted" but tcpdump show that someting try to connect

    tcpdump -i re0 host 208.123.73.88

    tcpdump: verbose output suppressed, use -v or -vv for full protocol decode
    listening on re0, link-type EN10MB (Ethernet), capture size 65535 bytes
    09:56:27.732680 IP 192.168.1.159.23641 > packages.atx.pfmechanics.com.https: Flags , seq 2661264124, win 65228, options [mss 1460,nop,wscale 7,sackOK,TS val 49296802 ecr 0], length 0
    09:56:30.731991 IP 192.168.1.159.23641 > packages.atx.pfmechanics.com.https: Flags , seq 2661264124, win 65228, options [mss 1460,nop,wscale 7,sackOK,TS val 49299802 ecr 0], length 0
    09:56:30.935139 IP packages.atx.pfmechanics.com.https > 192.168.1.159.23641: Flags [S.], seq 4089343273, ack 2661264125, win 65535, options [mss 1452,nop,wscale 6,sackOK,TS val 3465890298 ecr 49299802], length 0
    09:56:30.935201 IP 192.168.1.159.23641 > packages.atx.pfmechanics.com.https: Flags [.], ack 1, win 517, options [nop,nop,TS val 49300005 ecr 3465890298], length 0
    09:56:30.936044 IP 192.168.1.159.23641 > packages.atx.pfmechanics.com.https: Flags [P.], seq 1:518, ack 1, win 517, options [nop,nop,TS val 49300006 ecr 3465890298], length 517
    09:56:31.151107 IP packages.atx.pfmechanics.com.https > 192.168.1.159.23641: Flags [.], seq 1:1441, ack 518, win 1035, options [nop,nop,TS val 3465893275 ecr 49300006], length 1440
    09:56:31.151150 IP 192.168.1.159.23641 > packages.atx.pfmechanics.com.https: Flags [.], ack 1441, win 506, options [nop,nop,TS val 49300221 ecr 3465893275], length 0
    09:56:31.151154 IP packages.atx.pfmechanics.com.https > 192.168.1.159.23641: Flags [P.], seq 5761:5837, ack 518, win 1035, options [nop,nop,TS val 3465893275 ecr 49300006], length 76
    09:56:31.151177 IP 192.168.1.159.23641 > packages.atx.pfmechanics.com.https: Flags [.], ack 1441, win 506, options [nop,nop,TS val 49300221 ecr 3465893275,nop,nop,sack 1 {5761:5837}], length 0
    09:56:34.898286 IP packages.atx.pfmechanics.com.https > 192.168.1.159.23641: Flags [.], seq 1441:2881, ack 518, win 1035, options [nop,nop,TS val 3465897015 ecr 49300221], length 1440
    09:56:34.898329 IP 192.168.1.159.23641 > packages.atx.pfmechanics.com.https: Flags [.], ack 2881, win 506, options [nop,nop,TS val 49303968 ecr 3465897015,nop,nop,sack 1 {5761:5837}], length 0
    09:56:38.342912 IP packages.atx.pfmechanics.com.https > 192.168.1.159.23641: Flags [.], seq 2881:4321, ack 518, win 1035, options [nop,nop,TS val 3465900470 ecr 49303968], length 1440
    09:56:38.342959 IP 192.168.1.159.23641 > packages.atx.pfmechanics.com.https: Flags [.], ack 4321, win 506, options [nop,nop,TS val 49307412 ecr 3465900470,nop,nop,sack 1 {5761:5837}], length 0
    09:56:40.937236 IP 192.168.1.159.23641 > packages.atx.pfmechanics.com.https: Flags [F.], seq 518, ack 4321, win 517, options [nop,nop,TS val 49310007 ecr 3465900470,nop,nop,sack 1 {5761:5837}], length 0
    09:56:41.138984 IP packages.atx.pfmechanics.com.https > 192.168.1.159.23641: Flags [F.], seq 5837, ack 519, win 1035, options [nop,nop,TS val 3465903265 ecr 49310007], length 0
    09:56:41.139023 IP 192.168.1.159.23641 > packages.atx.pfmechanics.com.https: Flags [.], ack 4321, win 517, options [nop,nop,TS val 49310209 ecr 3465900470,nop,nop,sack 1 {5761:5837}], length 0


  • Banned

    @andreaconsadori:

    connectivity is ok
    under packages i see –> Unable to retrieve package info from https://packages.pfsense.org. Cached data will be used.

    Connectivity is apparently NOT OK… Perhaps, stop shooting yourself in the foot with proxies and it will download better?



  • fetch https://files.pfsense.org/packages/10/All/vnstat-1.12-i386.pbi
    vnstat-1.12-i386.pbi                            4% of 4557 kB 9636  Bps 07m19s  ????????

    this is the reason … why? internet 10Mbit/s

    How to install packeges PBI command line?


  • Banned

    As hinted above. Get rid of proxy and webfiltering, then try again.



  • do not use a proxy server. and webfiltering



  • I have a similar experience. pfBlockerNG failed to install after uppgrade from 2.2.3 to 2.2.4. Snort installed without problem.



  • I had a similar issue getting packages to install after the update but a simple reboot fixed it.



  • It helped only reinstall pfssense.
    My wan ip (1) 192.168.192. * The provider uses NAT 1: 1 –---->>>>Unable to retrieve package info from https://packages.pfsense.org. Cached data will be used
    wan ip (2) public ip - - - - >>> no problem



  • Same problem here. After installing pfSense 2.2.4 "fresh" (on a Intel Core2Duo 2.5GHz white box with 1GByte RAM), the Package manager is not able to download the OpenVPN Client export utility in my case. Tried this and other packages over several days, the same result every time.

    Using the download links mentioned in any of the error messages in a browser, I can download all packages without a problem. An example link:  https://files.pfsense.org/packages/10/All/zip-3.0_1-amd64.pbi

    There is no proxy on my own network and the command TRACERT (Windows, sew me ;)) shows no apparent proxies or DNS problems either. My topology is a simple one: internet <<>> pfSense router <<>> unmanaged switch <<>> my computer

    The provided links point to *.pbi files only. Where can I find alternatives for manual installation?

    The titles of posts in the pfSense forum from sections 'OpenVPN' and 'Installation and Upgrades' do not look to cover the problem. However, that is the general inability of people to describe their problem concisely.

    A forum search using term "cannot download" resulted in this https://forum.pfsense.org/index.php?topic=100128.msg557921#msg557921, but that doesn't work either.

    *Edit:
    The solution mentioned at the link above is only half of the solution. There are 2 check boxes on the mentioned pfSense 2.2.4 configuration page. The first one needs to be off/disabled, the second one needs to be on/enabled. After I did that, I was able to install packages.

    The 1st checkbox in this case is called: Allow DNS server list to be overridden by DHCP/PPP on WAN
    The 2nd checkbox in this case is called: Do not use the DNS Forwarder or Resolver as a DNS server for the firewall





Log in to reply